[script]
n0=;/////////////////////////////////////////////Сказать Диск инфо/////////////////////////////////////////////
n1=alias diskinf {
n2=  var %mydisk = 97
n3=  while (%mydisk <= $asc(z)) {
n4=    if ($disk($chr(%mydisk)) == $true) { 
n5=      if ($disk($chr(%mydisk)).type = fixed) {
n6=        %xepp = %xepp $+ 11 $+ $chr(91) 4Диск15 $chr(%mydisk) $+ $iif($disk($chr(%mydisk)).label != $null,: $+ $disk($chr(%mydisk)).label), 10свободно15 $bytes($disk($chr(%mydisk)).free,g) 15Гб 10из15 $bytes($disk($chr(%mydisk)).size,g)) 15Гб11 $chr(93) $+ -
n7=        %xepp2 = $calc(%xepp2 + $disk($chr(%mydisk)).free)
n8=        %xepp3 = $calc(%xepp3 + $disk($chr(%mydisk)).size)
n9=      }
n10=    }
n11=    inc %mydisk
n12=  }
n13=  /me %xepp $+ 11[ 10Всего свободно15 $bytes(%xepp2,g) 15Гб 11 ]-[ 10Всего объем дисков15 $bytes(%xepp3,g) 15Гб ]
n14=  unset %xepp
n15=  unset %xepp2
n16=  unset %xepp3
n17=}
n18=
n19=;/////////////////////////////////////////////Будильник/////////////////////////////////////////////
n20=alias Alarmer {
n21=  if $dialog(Alarmer) = $null { dialog -m Alarmer Alarmer }
n22=}
n23=
n24=dialog Alarmer {
n25=  title "Будильник"
n26=  size -1 -1 171 83
n27=  option pixels, notheme
n28=
n29=  button "Ок", 1, 3 60 75 17,  flat
n30=  button "Остановить", 2, 90 60 75 17,  flat
n31=  edit "12", 3, 99 16 25 19,  center
n32=  edit "25", 4, 130 16 25 19,  center
n33=  text "Время пробудки", 5, 3 20 85 14,
n34=  text "Звук пробудки", 6, 3 40 75 14,
n35=  button "Выбрать", 7, 90 38 75 17,  flat
n36=  box "Настройки", 8, 0 0 170 82,
n37=}
n38=
n39=on 1:dialog:Alarmer:sclick:*:{
n40=  if ($did == 1) {
n41=    set %alarmt1 $did(3).text
n42=    set %alarmt2 $did(4).text
n43=    if (!%alarms) { echo -a 0,4Выберите мелодию }
n44=    if (( %alarmt1 > 23 ) || %alarmt1 < 00 ) { echo -a 0,4Не верно ввели время }
n45=    else { timerБудильник %alarmt1 $+ : $+ %alarmt2 1 1 splay %alarms }
n46=  }
n47=  if ($did == 2) {
n48=    /splay stop
n49=  }
n50=  if ($did == 7) {
n51=  set %alarms $$file="Выбирете wav, mid, mp3 " $mircdirsounds\*.wav  }
n52=}
n53=
n54=;/////////////////////////////////////////////Создатель/////////////////////////////////////////////
n55=alias about { dialog -m about about }
n56=dialog about {
n57=  title "О скрипте и авторах"
n58=  size -1 -1 342 458
n59=  option pixels, notheme
n60=
n61=  text ExCluSiVe Script v2, 1, 5 5 330 14,  center
n62=  icon 2, 10 0 322 160, $mircdir\SYSTEM\IMAGES\exclusive.png, 0,
n63=  text "О скрипте и авторах:", 3, 15 145 305 14,
n64=  text "|[NetWoRk]| [e-mail:t-tsylin@intramail.ru]", 4, 15 158 305 14,
n65=  text "Ctydent_ [e-mail:ctydent@intramail.ru]", 5, 15 171 305 14,
n66=  text "Web: http://www.intramail.ru/~t-tsylin/", 6, 15 184 305 14,
n67=  text "Server: irc.nwg-nv.ru", 7, 15 197 305 14,
n68=  text "Channel: #ExCluSiVe", 8, 15 210 305 14,
n69=  text "Спасибо что выбрали наш скрипт. В этот скрипт мы попытались уместить все самое необходимое, на наш взгляд, что должно быть в хорошем скрипте. Хочется сразу сказать, что скрипт мы не писали полностью сами. Данный скрипт является сборным и составлен, на наш взгляд из лучших скриптов, таких как: Neo-Ra Looksharp VoroN MuTaBoR VidocQ ZiB NoNameScript HnH Cryte Script. Для чего мы все начали это? Это было, не ради каких то глобальных целей, а просто, чтобы помочь пользователям быстрее освоиться в IRC. Всю информацию можно раздобыть у нас |[NetWoRk]|, Ctydent_. Если у вас появились пожелания или вы обнаружили баги в скрипте, пишите письма на Е-m@il указанное выше. Если этот скрипт поможет вам путешествовать по миру IRC, мы будем только рады. Удачного пользования. ", 21, 15 230 305 200
n70=  button "&OK", 9, 250 435 85 20, 22, flat ok
n71=  check "&Не Покaзывaть При Зaпуске mIRC", 10, 15 437 220 15, flat
n72=  box "", 11, 5 137 332 89,
n73=  box "", 12, 5 15 332 127,
n74=  box "", 13, 5 221 332 212,
n75=}
n76=
n77=on *:dialog:about:init:*: {
n78=  if %viewabout = off { did -c about 10 }
n79=}
n80=
n81=on *:dialog:about:sclick:9: {
n82=  if ($did(about,10).state = 1) { %viewabout = off } | else { %viewabout = on }
n83=}
n84=
n85=on *:start: {
n86=  if (%viewabout != off) {
n87=    /about
n88=  }
n89=}
n90=
n91=;/////////////////////////////////////////////Идент юзера/////////////////////////////////////////////
n92=alias eowhoshow {
n93=  echo $$2 10 $+ $timestamp Идентификация $$1: $mid($address($$1,1),4,50) 
n94=}
n95=
n96=;/////////////////////////////////////////////Биндикла/////////////////////////////////////////////
n97=alias bindkey {
n98=  if $dialog(bindkey) = $null { dialog -m bindkey bindkey }
n99=}
n100=dialog bindkey {
n101=  title "Биндилка"
n102=  size -1 -1 408 312
n103=  option pixels, notheme
n104=
n105=  tab "Shift+Fn", 27, 0 0 408 316
n106=  tab "Ctrl+Fn", 28
n107=  tab "Справка", 54
n108=  text "Shift+F1", 2, 10 50 45 14,  tab 27
n109=  text "Shift+F2", 3, 10 70 45 14,  tab 27
n110=  text "Shift+F3", 4, 10 90 45 14,  tab 27
n111=  text "Shift+F4", 5, 10 110 45 14,  tab 27
n112=  text "Shift+F5", 6, 10 130 45 14,  tab 27
n113=  text "Shift+F6", 7, 10 150 45 14,  tab 27
n114=  text "Shift+F7", 8, 10 170 45 14,  tab 27
n115=  text "Shift+F8", 9, 10 190 45 14,  tab 27
n116=  text "Shift+F9", 10, 10 210 45 14,  tab 27
n117=  text "Shift+F10", 11, 10 230 55 14,  tab 27
n118=  text "Shift+F11", 12, 10 250 55 14,  tab 27
n119=  text "Shift+F12", 13, 10 270 55 14,  tab 27
n120=  box "Биндим кнопки", 1, 3 25 402 267,  tab 27
n121=  box "Биндим кнопки", 29, 3 25 402 267,  tab 28
n122=  edit "", 30, 70 46 330 20,  tab 28
n123=  text "Ctrl+F1", 31, 10 50 45 14,  tab 28
n124=  edit "", 32, 70 66 330 20,  tab 28
n125=  edit "", 33, 70 86 330 20,  tab 28
n126=  edit "", 34, 70 106 330 20,  tab 28
n127=  edit "", 35, 70 126 330 20,  tab 28
n128=  edit "", 36, 70 146 330 20,  tab 28
n129=  edit "", 37, 70 166 330 20,  tab 28
n130=  edit "", 38, 70 186 330 20,  tab 28
n131=  edit "", 39, 70 206 330 20,  tab 28
n132=  edit "", 40, 70 226 330 20,  tab 28
n133=  edit "", 41, 70 246 330 20,  tab 28
n134=  edit "", 42, 70 266 330 20,  tab 28
n135=  text "Ctrl+F9", 43, 10 210 45 14,  tab 28
n136=  text "Ctrl+F10", 44, 10 230 45 14,  tab 28
n137=  text "Ctrl+F11", 45, 10 250 45 14,  tab 28
n138=  text "Ctrl+F12", 46, 10 270 45 14,  tab 28
n139=  text "Ctrl+F2", 47, 10 70 45 14,  tab 28
n140=  text "Ctrl+F3", 48, 10 90 45 14,  tab 28
n141=  text "Ctrl+F4", 49, 10 110 45 14,  tab 28
n142=  text "Ctrl+F5", 50, 10 130 45 14,  tab 28
n143=  text "Ctrl+F6", 51, 10 150 45 14,  tab 28
n144=  text "Ctrl+F7", 52, 10 170 45 14,  tab 28
n145=  text "Ctrl+F8", 53, 10 190 45 14,  tab 28
n146=  box "Справочка", 55, 3 25 402 267,  tab 54
n147=  button "ВСЕ, я закончил", 56, 3 293 401 17,  ok flat
n148=  edit "В строки надо вводить комаду целеком. Пример (писать без <>): </say Привет Вам чатеры!> - Эта коммадна выдаст в окно канала сообщение Привет Вам чатеры! И так далее заполняй строки!", 57, 10 50 390 234,  read multi return autovs tab 54
n149=  edit "", 14, 70 46 330 20,  tab 27
n150=  edit "", 15, 70 66 330 20,  tab 27
n151=  edit "", 16, 70 86 330 20,  tab 27
n152=  edit "", 17, 70 106 330 20,  tab 27
n153=  edit "", 18, 70 126 330 20,  tab 27
n154=  edit "", 19, 70 146 330 20,  tab 27
n155=  edit "", 20, 70 166 330 20,  tab 27
n156=  edit "", 21, 70 186 330 20,  tab 27
n157=  edit "", 22, 70 206 330 20,  tab 27
n158=  edit "", 23, 70 226 330 20,  tab 27
n159=  edit "", 24, 70 246 330 20,  tab 27
n160=  edit "", 25, 70 266 330 20,  tab 27
n161=}
n162=
n163=;=============================
n164=on 1:dialog:bindkey:init:*:{
n165=  if %SF1 != $null { did -o bindkey 14 1 %SF1 }
n166=  if %SF2 != $null { did -o bindkey 15 1 %SF2 }
n167=  if %SF3 != $null { did -o bindkey 16 1 %SF3 }
n168=  if %SF4 != $null { did -o bindkey 17 1 %SF4 }
n169=  if %SF5 != $null { did -o bindkey 18 1 %SF5 }
n170=  if %SF6 != $null { did -o bindkey 19 1 %SF6 }
n171=  if %SF7 != $null { did -o bindkey 20 1 %SF7 }
n172=  if %SF8 != $null { did -o bindkey 21 1 %SF8 }
n173=  if %SF9 != $null { did -o bindkey 22 1 %SF9 }
n174=  if %SF10 != $null { did -o bindkey 23 1 %SF10 }
n175=  if %SF11 != $null { did -o bindkey 24 1 %SF11 }
n176=  if %SF12 != $null { did -o bindkey 25 1 %SF12 }
n177=
n178=  if %CF1 != $null { did -o bindkey 30 1 %CF1 }
n179=  if %CF2 != $null { did -o bindkey 32 1 %CF2 }
n180=  if %CF3 != $null { did -o bindkey 33 1 %CF3 }
n181=  if %CF4 != $null { did -o bindkey 34 1 %CF4 }
n182=  if %CF5 != $null { did -o bindkey 35 1 %CF5 }
n183=  if %CF6 != $null { did -o bindkey 36 1 %CF6 }
n184=  if %CF7 != $null { did -o bindkey 37 1 %CF7 }
n185=  if %CF8 != $null { did -o bindkey 38 1 %CF8 }
n186=  if %CF9 != $null { did -o bindkey 39 1 %CF9 }
n187=  if %CF10 != $null { did -o bindkey 40 1 %CF10 }
n188=  if %CF11 != $null { did -o bindkey 41 1 %CF11 }
n189=  if %CF12 != $null { did -o bindkey 42 1 %CF12 }
n190=
n191=}
n192=
n193=;=============================
n194=on 1:dialog:bindkey:sclick:*:{
n195=  if ($did == 56) {
n196=    set %SF1 $did(bindkey,14)
n197=    set %SF2 $did(bindkey,15)
n198=    set %SF3 $did(bindkey,16)
n199=    set %SF4 $did(bindkey,17)
n200=    set %SF5 $did(bindkey,18)
n201=    set %SF6 $did(bindkey,19)
n202=    set %SF7 $did(bindkey,20)
n203=    set %SF8 $did(bindkey,21)
n204=    set %SF9 $did(bindkey,22)
n205=    set %SF10 $did(bindkey,23)
n206=    set %SF11 $did(bindkey,24)
n207=    set %SF12 $did(bindkey,25)
n208=
n209=    set %CF1 $did(bindkey,30)
n210=    set %CF2 $did(bindkey,32)
n211=    set %CF3 $did(bindkey,33)
n212=    set %CF4 $did(bindkey,34)
n213=    set %CF5 $did(bindkey,35)
n214=    set %CF6 $did(bindkey,36)
n215=    set %CF7 $did(bindkey,37)
n216=    set %CF8 $did(bindkey,38)
n217=    set %CF9 $did(bindkey,39)
n218=    set %CF10 $did(bindkey,40)
n219=    set %CF11 $did(bindkey,41)
n220=    set %CF12 $did(bindkey,42)
n221=  }
n222=
n223=}
n224=
n225=;=============================
n226=on 1:dialog:bindkey:sclick:*:{
n227=  if ($did == 56) {
n228=    if $did(bindkey,14) != $null { set %SF1 $did(bindkey,14) }
n229=    if %SF2 != $null { set %SF2 $did(bindkey,15) }
n230=    if %SF3 != $null { set %SF3 $did(bindkey,16) }
n231=    if %SF4 != $null { set %SF4 $did(bindkey,17) }
n232=    if %SF5 != $null { set %SF5 $did(bindkey,18) }
n233=    if %SF6 != $null { set %SF6 $did(bindkey,19) }
n234=    if %SF7 != $null { set %SF7 $did(bindkey,20) }
n235=    if %SF8 != $null { set %SF8 $did(bindkey,21) }
n236=    if %SF9 != $null { set %SF9 $did(bindkey,22) }
n237=    if %SF10 != $null { set %SF10 $did(bindkey,23) }
n238=    if %SF11 != $null { set %SF11 $did(bindkey,24) }
n239=    if %SF12 != $null { set %SF12 $did(bindkey,25) }
n240=
n241=    if $did(bindkey,30) != $null { set %CF1 $did(bindkey,30) }
n242=    if %СF2 != $null { set %CF2 $did(bindkey,32) }
n243=    if %СF3 != $null { set %CF3 $did(bindkey,33) }
n244=    if %СF4 != $null { set %CF4 $did(bindkey,34) }
n245=    if %СF5 != $null { set %CF5 $did(bindkey,35) }
n246=    if %СF6 != $null { set %CF6 $did(bindkey,36) }
n247=    if %СF7 != $null { set %CF7 $did(bindkey,37) }
n248=    if %СF8 != $null { set %CF8 $did(bindkey,38) }
n249=    if %СF9 != $null { set %CF9 $did(bindkey,39) }
n250=    if %СF10 != $null { set %CF10 $did(bindkey,40) }
n251=    if %СF11 != $null { set %CF11 $did(bindkey,41) }
n252=    if %СF12 != $null { set %CF12 $did(bindkey,42) }
n253=  }
n254=}
n255=
n256=;/////////////////////////////////////////////Отключение от сети по таймеру/////////////////////////////////////////////
n257=alias OFFer {
n258=  if $dialog(OFFer) = $null { dialog -m OFFer OFFer }
n259=}
n260=
n261=dialog OFFer {
n262=  title "Отключение по таймеру"
n263=  size -1 -1 244 90
n264=  option pixels, notheme
n265=
n266=  button "Ок", 1, 3 66 115 17,  flat
n267=  edit "12", 3, 109 16 25 19,  center limit 2
n268=  edit "25", 4, 140 16 25 19,  center limit 2
n269=  text "Время выключения", 5, 3 20 105 14,
n270=  box "Настройки", 8, 0 0 242 88,
n271=  edit "Причина по которой отключаешься от сети", 2, 3 40 235 20,  autohs
n272=  button "Отмена", 6, 123 66 115 17,  cancel flat
n273=}
n274=
n275=;=============================
n276=on 1:dialog:OFFer:sclick:*:{
n277=  if ($did == 1) {
n278=    if (( %alarmt1 > 23 ) || %alarmt1 < 00 ) { echo -a 0,4Не верно ввели время }
n279=    else {
n280=      set %offt1 $did(3).text
n281=      set %offt2 $did(4).text
n282=      set %offp $did(2).text
n283=      timer %offt1 $+ : $+ %offt2 1 1 quit %offp (Отключился в %offt1 $+ : $+ %offt2 $+ )
n284=      dialog -x OFFer OFFer
n285=    }
n286=
n287=    if ($did == 6) {
n288=      unset %offt1 $did(3).text
n289=      unset %offt2 $did(4).text
n290=      unset %offp $did(4).text
n291=      dialog -x OFFer OFFer
n292=    }
n293=  }
n294=}
n295=
n296=;/////////////////////////////////////////////Wake Up/////////////////////////////////////////////
n297=ctcp 1:*:{ 
n298=  if ($1 == wake) {
n299=    if (%WAKE == ON) { 
n300=      splay $mircdirsounds\WAKE\wake.wav
n301=      notice $me $nick говорит 8,8*2,2*8,8*0,4 ПРОСНИСЬ И ПОЙ 8,8*2,2*8,8*
n302=    }
n303=    else { halt }
n304=  }
n305=}
n306=
n307=alias wakeup { if  (!%WAKE) { set %WAKE ON | echo -a 3включил ВЕЙК }
n308=  else { unset %WAKE OFF | echo -a 4вырубил ВЕЙК }
n309=}
n310=
n311=;/////////////////////////////////////////////Вам приват/////////////////////////////////////////////
n312=alias pwindowsddrag {
n313=  if ($mouse.key == 1) {
n314=    ;    echo -se -> $1- -> $mouse.x $mouse.y
n315=
n316=    if (%nMouse.X == $null) set %nMouse.X $2
n317=    if (%nMouse.Y == $null) set %nMouse.Y $3
n318=
n319=    var %nXpos = $calc($mouse.dx - %nMouse.X)
n320=    var %nYpos = $calc($mouse.dy - %nMouse.Y)
n321=
n322=    window $1 %nXpos %nYpos
n323=    .timerpwindowsddrag -mo 1 10 pwindowsddrag $1 $2 $3
n324=  }
n325=  else { .timerpwindowsddrag off | unset %nMouse.X | unset %nMouse.Y }
n326=}
n327=
n328=on ^*:OPEN:?: {
n329=  inc %cFloatTarget. $+ [ $nick ] | lookFloatTarget.Query $nick 
n330=}
n331=
n332=on *:OPEN:?: { 
n333=  if (%lAutoFloatTarget) {
n334=    if (%lAutoFloatTarget.notactive) {
n335=      if ($appactive == $false) lookFloatTarget $nick
n336=    }
n337=    else lookFloatTarget $nick
n338=  }
n339=
n340=  if (%lQWhois) .timerWhois 1 1 whois $nick 
n341=  window $nick $looksharpBestFitDesktop  
n342=}
n343=
n344=on ^*:TEXT:*:?: { 
n345=  inc %cFloatTarget. $+ [ $nick ] | lookFloatTarget.Query $nick 
n346=}
n347=on ^*:ACTION:*:?: { 
n348=  inc %cFloatTarget. $+ [ $nick ] | lookFloatTarget.Query $nick
n349=}
n350=
n351=on *:INPUT:?: {
n352=  set %cFloatTarget. $+ [ $active ] 0 | lookFloatTarget.Query $active
n353=}
n354=
n355=alias lookUnFloatTarget {
n356=  window -c @FloatTarget. $+ $1 
n357=  unset %cFloatTarget. $+ [ $1 ]
n358=}
n359=
n360=alias lookUnFloatAllTarget {
n361=  var %nFNWcount = 0
n362=  while (%nFNWcount < $window(@FloatTarget.*,0)) {
n363=    inc %nFNWcount
n364=    .timer -mo 1 1 window -c $window(@FloatTarget.*,%nFNWcount)
n365=  }
n366=  unset %cFloatTarget.*
n367=}
n368=
n369=alias lookFloatTarget {
n370=  var %nWidth = $calc(($len($1) * 10) + 30 ) 
n371=  var %nXWinpos = $calc($mouse.dx - %nWidth + 5)
n372=  var %nYWinpos = $calc($mouse.dy - 18)
n373=  if (%cFloatTarget. [ $+ [ $1 ] ] == $null) set %cFloatTarget. $+ [ $1 ] 0 
n374=
n375=  window -c @FloatTarget. $+ $1 
n376=  window -dokph +dbL @FloatTarget. $+ $1 %nXWinpos %nYWinpos %nWidth 22 @FloatTarget
n377=
n378=  drawfill @FloatTarget. $+ $1 15 15 1 1
n379=  drawpic -c @FloatTarget. $+ $1 0 0 " $+ $mircdirSYSTEM\IMAGES\NickFloat01.bmp"
n380=
n381=  drawrect -r @FloatTarget. $+ $1 %nFloatNicksBColour 1 0 0 %nWidth 22
n382=  drawtext -r @FloatTarget. $+ $1 %nFloatNicksQColour Verdana 15 5 4 %cFloatTarget. [ $+ [ $1 ] ]
n383=  drawtext -r @FloatTarget. $+ $1 %nFloatNicksNColour Verdana 13 30 4 $1
n384=  window -a @FloatTarget. $+ $1
n385=}
n386=
n387=alias lookFloatTarget.Query {
n388=  var %cNFWindowName = @FloatTarget. $+ $1
n389=  if ($window(%cNFWindowName) == $null) { unset %cFloatTarget. $+ [ $1 ] | return }
n390=
n391=  var %nWidth = $calc(($len($1) * 10) + 30 ) 
n392=  drawpic  -c @FloatTarget. $+ $1 0 0  0 0 25 22 " $+ $mircdirSYSTEM\IMAGES\NickFloat01.bmp"
n393=  drawrect -r @FloatTarget. $+ $1 %nFloatNicksBColour 1 0 0 %nWidth 22
n394=  drawtext  -r @FloatTarget. $+ $1 %nFloatNicksQColour Verdana 15 5 4 %cFloatTarget. [ $+ [ $1 ] ]
n395=}
n396=
n397=alias PNFT {
n398=  var %cNFWindowName = @FloatTarget. $+ $1
n399=  return $iif($window(%cNFWindowName) == $null,Float target,UnFloat target)
n400=}
n401=
n402=alias PNFloatTarget {
n403=  var %cNFNick = $remove($active,@FloatTarget.)
n404=  return $iif($len(%cNFNick) > 8,$left(%cNFNick,8),%cNFNick) $+ $iif($len(%cNFNick) > 8,»)
n405=}
n406=
n407=menu @FloatTarget {
n408=  mouse : { if ($mouse.key == 1) pwindowsddrag $active $mouse.x $mouse.y }
n409=  dclick : { set %cFloatTarget. $+ [ $remove($active,@FloatTarget.) ]  0 | lookFloatTarget.Query $remove($active,@FloatTarget.) | query $remove($active,@FloatTarget.) | showmirc -s }
n410=  $PClipboard($remove($address($remove($active,@FloatTarget.),2),*!*@)) : { }
n411=  $PNFloatTarget : { set %cFloatTarget. $+ [ $remove($active,@FloatTarget.) ]  0 | lookFloatTarget.Query $remove($active,@FloatTarget.) | query $remove($active,@FloatTarget.) | showmirc -s }
n412=  -
n413=  Закрыть окно : lookUnFloatTarget $remove($active,@FloatTarget.)
n414=  Закрыть все окна
n415=  .Закрыть сейчас! : lookUnFloatAllTarget
n416=}
n417=
n418=;/////////////////////////////////////////////Определяем страну/////////////////////////////////////////////
n419=raw 311 :*:{
n420=  if ($gettok($4,$numtok($4,46),46) isnum) { set %cCountry $readini $mircdirDataBase\Countries.ini Country IP }
n421=  else { set %cCountry $readini $mircdirDataBase\Countries.ini Country $gettok($4,$numtok($4,46),46) }
n422=  if (%cCountry == $null) set %cCountry Не определена
n423=}
n424=
n425=;/////////////////////////////////////////////Выделение ника (чужой)/////////////////////////////////////////////
n426=alias windowOFF { window -c @TEXTwindow | .timerTEXTwindowposition off }
n427=alias eonickedits {
n428=  if $dialog(eonickedits) = $null { dialog -m eonickedits eonickedits }
n429=}
n430=dialog eonickedits {
n431=  title "Настройка стиля"
n432=  size -1 -1 379 189
n433=  option pixels, notheme
n434=
n435=  button "Ok", 1, 0 160 377 27,  ok flat
n436=  icon 2, 30 5 15 13, $mircdirSYSTEM\IMAGES\NUM\0.BMP, 0,  noborder
n437=  icon 3, 50 5 15 13, $mircdirSYSTEM\IMAGES\NUM\1.BMP, 0,  noborder
n438=  icon 4, 70 5 15 13, $mircdirSYSTEM\IMAGES\NUM\2.BMP, 0,  noborder
n439=  icon 5, 90 5 15 13, $mircdirSYSTEM\IMAGES\NUM\3.BMP, 0,  noborder
n440=  icon 6, 110 5 15 13, $mircdirSYSTEM\IMAGES\NUM\4.BMP, 0,  noborder
n441=  icon 7, 130 5 15 13, $mircdirSYSTEM\IMAGES\NUM\5.BMP, 0,  noborder
n442=  icon 8, 150 5 15 13, $mircdirSYSTEM\IMAGES\NUM\6.BMP, 0,  noborder
n443=  icon 9, 170 5 15 13, $mircdirSYSTEM\IMAGES\NUM\7.BMP, 0,  noborder
n444=  icon 10, 190 5 15 13, $mircdirSYSTEM\IMAGES\NUM\8.BMP, 0,  noborder
n445=  icon 11, 210 5 15 13, $mircdirSYSTEM\IMAGES\NUM\9.BMP, 0,  noborder
n446=  icon 12, 230 5 15 13, $mircdirSYSTEM\IMAGES\NUM\10.BMP, 0,  noborder
n447=  icon 13, 250 5 15 13, $mircdirSYSTEM\IMAGES\NUM\11.BMP, 0,  noborder
n448=  icon 14, 270 5 15 13, $mircdirSYSTEM\IMAGES\NUM\12.BMP, 0,  noborder
n449=  icon 15, 290 5 15 13, $mircdirSYSTEM\IMAGES\NUM\13.BMP, 0,  noborder
n450=  icon 16, 310 5 15 13, $mircdirSYSTEM\IMAGES\NUM\14.BMP, 0,  noborder
n451=  icon 17, 330 5 15 13, $mircdirSYSTEM\IMAGES\NUM\15.BMP, 0,  noborder
n452=  text "Для установки цвета используйте клавиши (Cntrl + K) <номер цвета текста>,<номер цвета фона>. (Cntrl + U) - подчеркивание, в конце сообщения которого нужно что то подчеркнуть надо нажать (Cntrl + U). (Cntrl + B) - жирный шрифт", 18, 0 20 379 54,  center
n453=  box "", 19, 0 75 378 40,
n454=  edit %eonickedits1, 20, 0 130 105 20,  autohs
n455=  text "НИК", 21, 110 133 25 14
n456=  edit %eonickedits2, 22, 140 130 105 20,  autohs
n457=  text "Текст сообщения", 23, 250 133 125 14,
n458=  button "",24, 0 0 0 0 , Cancel
n459=}
n460=
n461=;=============================
n462=on 1:dialog:eonickedits:init:0:{ ONwindow2 | refreshTEXT2 }
n463=
n464=;=============================
n465=on 1:dialog:eonickedits:sclick:199: { windowOFF }
n466=
n467=;=============================
n468=on 1:dialog:eonickedits:sclick:1:{ set %eonickedits1 $did(eonickedits,20).text | set %eonickedits2 $did(eonickedits,22).text | windowOFF }
n469=on 1:dialog:eonickedits:sclick:24:{ windowOFF }
n470=
n471=;=============================
n472=on 1:dialog:eonickedits:edit:*:{ refreshTEXT2 }
n473=
n474=alias refreshposition2 {  window $iif($dialog(eonickedits).active,-o,-u) @TEXTwindow $calc($dialog(eonickedits).x + 14) $calc($dialog(eonickedits).y + 112) 356 20 }
n475=alias ONwindow2 {
n476=  window -c @TEXTwindow
n477=  window -hkdo +dL @TEXTwindow $calc($dialog(eonickedits).x + 14) $calc($dialog(eonickedits).y + 112) 356 20
n478=  window -a @TEXTwindow
n479=.timerTEXTwindowposition -mo 0 250 refreshposition2 }
n480=alias refreshTEXT2 {
n481=  clear @TEXTwindow
n482=  echo @TEXTwindow $did(eonickedits,20).text $+ Ник $+ $did(eonickedits,22).text   Текст сообщения 
n483=}
n484=alias eonickedit { editbox -afp %eonickedits1 $+ $$1 $+ %eonickedits2 $+ 99,99 $editbox($active) }
n485=
n486=;/////////////////////////////////////////////Система ПК/////////////////////////////////////////////
n487=alias sinf { return $dll(dll\moo.dll,$1-,_) }
n488=alias sysinfo {
n489=  me 11[ 10Операционная Система4:15 $sinf(osinfo) 11]-[ 10Время работы ПК4:15 $uptime(system,1) 11]-[ 10Время работы ExS v2 $+ 4:15 $uptime(mirc,1) 11]-[ 10Процессор4:15 $sinf(cpuinfo) 11]-[ 10Память4:15 $sinf(meminfo) 11]-[ 10Видео карта4:15 $sinf(gfxinfo) 11]-[ 10Разрешение4:15 $sinf(screeninfo) 11]
n490=}
n491=
n492=
n493=
n494=;/////////////////////////////////////////////Трансляторы/////////////////////////////////////////////
n495=alias translating1 { return $replace($1-,й,q,ц,w,у,e,к,r,е,t,н,y,г,u,ш,i,щ,o,з,p,х,[,ъ,],ф,a,ы,s,в,d,а,f,п,g,р,h,о,j,л,k,д,l,ж,;,э,$chr(39),я,z,ч,x,с,c,м,v,и,b,т,n,ь,m,б,$chr(44),ю,.,ё, ,.,/) }
n496=alias translating2 { return $replace($1-,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ,p,з,[,х,],ъ,a,ф,s,ы,d,в,f,а,g,п,h,р,j,о,k,л,l,д,;,ж,$chr(39),э,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,$chr(44),б,.,ю, ,ё,/,.) }
n497=
n498=;/////////////////////////////////////////////Выбор ников/////////////////////////////////////////////
n499=alias nicks { editbox -ap $editbox($active,0) $iif($snicks,$snicks,$$1) $+ $iif(!$editbox($active,0),$chr(44)) }
n500=
n501=;//////////////////////////////////////////Отчиста всех экранов//////////////////////////////////////////
n502=alias clearal { clearall -snqmtg }
n503=
n504=;//////////////////////////////////////////Подсчет процентов//////////////////////////////////////////
n505=alias percent {
n506=  var %z = $calc($1 / $2 *100)
n507=  if ($3 != $null) { %z = $round(%z,$3) }
n508=  if (%z) { return %z $+ % }
n509=  else { return 0% }
n510=}
n511=;Пример $percent(x,y,кол-во_знаков_после_запятой)
n512=
n513=;//////////////////////////////////////////Инфа о канале//////////////////////////////////////////
n514=alias chaninfo {
n515=  echo -a $timestamp ----- $chan -----
n516=  echo -a $timestamp Инфо о канале: $chr(91) $+ $chan $+ $chr(93)
n517=  echo -a $timestamp Народу на канале: $nick($chan,0) $chr(91) $+ $percent($nick($chan,0),$nick($chan,0)) $+ $chr(93)
n518=  echo -a $timestamp @ на канале: $nick($chan,0,o) $chr(91) $+ $percent($nick($chan,0,o),$nick($chan,0),0) $+ $chr(93)
n519=  echo -a $timestamp % на канале: $nick($chan,0,h) $chr(91) $+ $percent($nick($chan,0,h),$nick($chan,0),0) $+ $chr(93)
n520=  echo -a $timestamp + на канале: $nick($chan,0,v) $chr(91) $+ $percent($nick($chan,0,v),$nick($chan,0),0) $+ $chr(93)
n521=  echo -a $timestamp Просто юзеров: $nick($chan,0,r) $chr(91) $+ $percent($nick($chan,0,r),$nick($chan,0),0) $+ $chr(93)
n522=  echo -a $timestamp Моды канала: $chr(91) $+ $iif($chan($chan).mode,$ifmatch,нет) $+ $chr(93)
n523=  echo -a $timestamp ----- $chan -----
n524=}
n525=
n526=alias chnm { if ($1 isincs $gettok($chan($2).mode,1,32)) { return 1 } }
n527=alias gtchnm {
n528=  var %x
n529=  if ($1 isincs $gettok($chan($2).mode,1,32)) { %x = 1 }
n530=  return $iif(%x,-,+) $+ $1
n531=}
n532=
n533=;//////////////////////////////////////////Сообщение при выходе//////////////////////////////////////////
n534=alias quit.msg { return $read(DataBase\quitmsg.txt,n) }
n535=on *:start:{
n536=  if ($read(DataBase\quitmsg.txt,w,*ExCluSiVe script v2*)) { write -l $+ $readn DataBase\quitmsg.txt 8,8*2,2*8,8*0,4 ExCluSiVe Script v2 8,8*2,2*8,8*0,4 Cкачать можно здесь: 8,8*2,2*8,8*0,4 http://www.intramail.ru/~t-tsylin/ 8,8*2,2*8,8* }
n537=}
n538=alias prevbmp {
n539=  if ($dialog($1)) {
n540=    var %w = $+(@,$1,$2),%z = $+(SYSTEM\IMAGES\tmp\,$1,$2,.bmp)
n541=    window -ph +d %w 0 0 $3 19
n542=    drawfill %w $color(back) $color(back) 0 0
n543=    drawtext -pb %w $color($4) $color(back) $+(",$window(Status Window).font,") $window(Status Window).fontsize $5 1 $iif($6-,$6-,)
n544=    drawsave %w %z
n545=    close -@ %w
n546=    did -g $1-2 %z
n547=  }
n548=}
n549=
n550=alias quits {
n551=  if $dialog(quits) = $null { dialog -m quits quits }
n552=}
n553=
n554=dialog quits {
n555=  title "Сообщения при выходе"
n556=  size -1 -1 199 127
n557=  option dbu
n558=  button "+", 2326, 176 10 20 10
n559=  button "-", 2327, 176 21 20 10
n560=  icon 2325,3 111 192 10,SYSTEM\IMAGES\tmp\quits2325.bmp,tab 983
n561=  combo 2323,3 10 172 87,tab 983 sort size vsbar
n562=  box "Сообщения при выходе", 5, 1 0 197 101,tab 983
n563=  box "Просмотр", 6, 1 101 197 25
n564=}
n565=on *:dialog:quits:init:*:{
n566=  if ($isfile(DataBase\quitmsg.txt)) {
n567=    loadbuf -o $dname 2323 DataBase\quitmsg.txt
n568=    did -c $dname 2323 1
n569=    prevbmp $dname 2325 344 quit 2 $did(2323)
n570=  }
n571=}
n572=
n573=on *:dialog:quits:sclick:*:{
n574=  if ($did == 2326) {
n575=    if ($did(2323) != $null) {
n576=      did -a $dname 2323 $ifmatch
n577=      savebuf -o $dname 2323 DataBase\quitmsg.txt
n578=    }
n579=  }
n580=
n581=  if ($did == 2327) {
n582=    if ($did(2323).sel) {
n583=      did -d $dname 2323 $ifmatch
n584=      savebuf -o $dname 2323 DataBase\quitmsg.txt
n585=    }
n586=  }
n587=  if ($did == 2323) { prevbmp $dname 2325 344 quit 2 $did($did) }
n588=}
n589=on *:dialog:quits:edit:*:{ 
n590=  if ($did == 2323) { prevbmp $dname 2325 344 quit 2 $did($did) }
n591=}
n592=
n593=;//////////////////////////////////////////Titlebar//////////////////////////////////////////
n594=alias titlebare {
n595=  if $dialog(titlebare) = $null { dialog -m titlebare titlebare }
n596=}
n597=
n598=dialog titlebare {
n599=  title "Заголовок окна"
n600=  size -1 -1 181 107
n601=  option dbu
n602=  text "<mircver>", 1, 37 16 30 8, right
n603=  text "<exsver>", 2, 37 8 30 8, right
n604=  text "<time>", 3, 37 32 30 8, right
n605=  text "<net>", 4, 37 56 30 8, right
n606=  text "<nick>", 6, 37 40 30 8, right
n607=  text "<date>", 10, 37 24 30 8, right
n608=  text "<ip>", 12, 37 48 30 8, right
n609=  text "<channels>", 13, 37 64 30 8, right
n610=  text "ExCluSiVe Script version :)", 14, 85 8 60 8
n611=  text "mIRC version", 15, 85 16 60 8
n612=  text "Общее число каналов", 16, 85 64 60 8
n613=  text "Дата", 19, 85 24 60 8
n614=  text "Время", 20, 85 32 60 8
n615=  text "Ник", 21, 85 40 60 8
n616=  text "Твой ИП-адрес", 23, 85 48 60 8
n617=  text "Имя сети", 24, 85 56 60 8
n618=  edit "", 2380, 4 76 133 11,tab 984 autohs limit 300
n619=  button "Применить", 68, 139 76 37 11
n620=  box "Заголовок окна", 8, 1 0 179 106
n621=  icon 2381,4 91 172 11,SYSTEM\IMAGES\tmp\titlebare2381.bmp,tab 984
n622=}
n623=
n624=on *:dialog:titlebare:init:*:{
n625=  did -a $dname 2380 %titlebar.edit
n626=  prevbmp $dname 2381 344 normal 4 mIRC $eval(%titlebar,2)
n627=}
n628=
n629=on *:dialog:titlebare:sclick:*:{
n630=  if ($did == 68) { savetitlebar }
n631=}
n632=
n633=on *:dialog:titlebare:close:*:{
n634=  savetitlebar -c
n635=}
n636=
n637=alias savetitlebar {
n638=  set %s,%o = %titlebar,%e = %titlebar.edit,%r
n639=  set %titlebar.edit $strip($did(titlebare,2380))
n640=  .echo -q $regsub(%titlebar.edit,/([^ ])(<[^>]+>)([^ ])/g,\1 \$+ \2 \$+ \3,%s) $regsub(%s,/([^ ])(<[^>]+>)/g,\1 \$+ \2,%s) $regsub(%s,/(<[^>]+>)([^ ])/g,\1 \$+ \2,%s)
n641=  set %titlebar $replace(%s,<channels>,$eval($chan(0),0),<date>,$eval($date,0),<ip>,$eval($ip,0),<mircver>,$eval($version,0),<exsver>,$eval(%versia,0),<time>,$eval($time,0),<net>,$eval($network,0),<nick>,$eval($me,0))
n642=  if (@* iswm %titlebar) { set %titlebar $!chr(64) $iif($mid(%titlebar,2,1) != $chr(32),$!+) $mid(%titlebar,2) }
n643=  :reset
n644=  if ($1 != -c) { prevbmp $dname 2381 344 normal 4 mIRC $eval(%titlebar,2) }
n645=  titlebar $eval(%titlebar,2)
n646=  if (%r) {
n647=    if ($1 == -c) { errdialog your titlebar formatting string is invalid! It has been reset to your old one! Hint: don't leave brackets open! }
n648=    else { errdialog this titlebar formatting string is invalid! Please choose another one! Hint: don't leave brackets open! }
n649=  }
n650=  return
n651=  :error
n652=  set %titlebar %o
n653=  set %titlebar.edit %e
n654=  did -ra $dname 2380 %e
n655=  %r = 1
n656=  goto reset
n657=}
n658=;======== Пригласить всех с активного канала
n659=alias inviteAll {
n660=  set %tmp 1
n661=  while ($nick($1,%tmp)) { invite $nick($1,%tmp) $2 | inc %tmp }
n662=}
n663=alias inviteSnicks {
n664=  set %tmp 1
n665=  while ($gettok($2,%tmp,44)) { invite $gettok($2,%tmp,44) $1 | inc %tmp }
n666=}
n667=;-------=== ExCluSiVe ignore List===-------
n668=
n669=alias Lignore {
n670=  window -akl @Ignore 
n671=  titlebar @Ignore (Лист игноров)
n672=  clear @Ignore
n673=  var %nCount = 0
n674=  :nextig
n675=  inc %nCount
n676=  aline @ignore 4::11[9 $ignore(%nCount) 11]4::11[13 $ignore(%nCount).type 11]4::
n677=  if (%nCount < $ignore(0)) goto nextig
n678=  window -b @Ignore 
n679=  sline @Ignore 1
n680=}
n681=menu @Ignore {
n682=  $left($ignore($sline(@Ignore,1).ln),15) $+ $iif($len($ignore($sline(@Ignore,1).ln)) > 15,») : { }
n683=  -
n684=  Убрать игнор 
n685=  .Убрать " $+ $ignore($sline(@Ignore,1).ln) $+ " now! : ignore -r $ignore($sline(@Ignore,1).ln) | dline @Ignore $sline(@Ignore,1).ln
n686=  -
n687=  Обновить Лист : Lignore
n688=  -
n689=  Добавить Ник... : { ignore $$?="Enter Nick to ignore :" | Lignore }
n690=  Добавить IP/DNS...: { ignore $$?="Enter IP/DNS to ignore like: $crlf $+ user.domain.com $crlf $+ 255.255.255.255" | Lignore }
n691=  Добавить Маску... : { ignore $$?="Enter Mask to ignore like : $crlf $+ *!*user@*.domain.com $crlf $+ *!*user@255.255.255.*" | Lignore }
n692=  -
n693=  Убрать все игноры
n694=  .Убрать ! : { ignore -r | echo -se *** Removed all from ignore list | window -c @Ignore }
n695=  -
n696=  Закрыть лист :  window -c @Ignore 
n697=}
n698=alias _comchan {
n699=  unset %chans
n700=  set %count 1
n701=  while ($comchan($1,0) >= %count) {
n702=    set %chans %chans $+ , $+ $chr(32) $+ $comchan($1,%count) 
n703=    inc %count
n704=  }
n705=  return $right(%chans,$calc($len(%chans) - 1))
n706=}
n707=nvremia { .load -as SYSTEM\Scripts\other\nightman_time.mrc | vremia | .timer 1 1 .unload -as SYSTEM\Scripts\other\nightman_time.mrc  }
n708=}
